Name:		lgeneral
Version:	1.4.4
Release:	%mkrel 2
Summary:	A Panzer General clone
URL:		https://lgames.sourceforge.net/LGeneral/
Source0:	https://prdownloads.sourceforge.net/lgeneral/%{name}-%{version}.tar.gz
#Patch0:		lgeneral-1.4.3-mga-gettext.patch
License:	GPLv2+
Group:		Games/Strategy
BuildRequires:	SDL_mixer-devel
BuildRequires:	SDL-devel
BuildRequires:	gettext-devel
BuildRequires:	desktop-file-utils
Recommends:	kukgen-data

%description
LGeneral is a turn-based strategy engine heavily inspired by Panzer General.
You play single scenarios or whole campaigns turn by turn against a human
player or the AI. Entrenchment, rugged defense, defensive fire, surprise
contacts, surrender, unit supply, weather influence, reinforcements and other
implementations contribute to the tactical and strategic depth of the game.

%prep
%autosetup -p1
# Force a rebuild of the translation strings as they were broken in 1.4.3
rm po/lgeneral/lgeneral.pot po/pg/pg.pot

#Desktop file is not valid UTF-8
iconv lgeneral.desktop -f ISO-8859-15 -t UTF-8 > lgeneral-utf8.desktop
mv lgeneral-utf8.desktop lgeneral.desktop


%build
%configure	--bindir=%{_gamesbindir} --datadir=%{_datadir}
%make_build

%install
%make_install

%find_lang lgeneral pg %{name}.lang


%files -f %{name}.lang
%doc AUTHORS ChangeLog NEWS README* TODO
%{_datadir}/%{name}
%{_iconsdir}/hicolor/48x48/apps/%{name}.png
%{_datadir}/applications/%{name}.desktop
%{_mandir}/man[16]/*
%{_gamesbindir}/*



%changelog
* Sat Jun 28 2025 umeabot <umeabot> 1.4.4-2.mga10
+ Revision: 2215497
- Mageia 10 Mass Rebuild

* Tue Oct 04 2022 joequant <joequant> 1.4.4-1.mga9
+ Revision: 1894556
- fix configure
+ neoclust <neoclust>
- New version

* Fri Apr 01 2022 umeabot <umeabot> 1.4.3-7.mga9
+ Revision: 1839834
- Mageia 9 Mass Rebuild

* Fri May 15 2020 danf <danf> 1.4.3-6.mga8
+ Revision: 1583963
- Fix the German translation of program strings

* Wed Apr 15 2020 danf <danf> 1.4.3-5.mga8
+ Revision: 1567695
- Add gettext.patch to fix configure with recent gettext
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 1.4.3-4.mga7
+ Revision: 1298742
- Mageia 7 Mass Rebuild

* Thu Jul 19 2018 wally <wally> 1.4.3-3.mga7
+ Revision: 1244354
- fix build on aarch64
+ zezinho <zezinho>
- remove useless BR

* Mon Jan 15 2018 zezinho <zezinho> 1.4.3-2.mga7
+ Revision: 1193606
- recommends open source data kukgen-data

* Mon Jan 15 2018 zezinho <zezinho> 1.4.3-1.mga7
+ Revision: 1193573
- new version - remove nonfree data

* Wed Oct 15 2014 umeabot <umeabot> 1.2.3-4.mga5.nonfree
+ Revision: 748086
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.2.3-3.mga5.nonfree
+ Revision: 681309
- Mageia 5 Mass Rebuild
- Mageia 4 Mass Rebuild

* Sun Feb 24 2013 joequant <joequant> 1.2.3-1.mga4.nonfree
+ Revision: 400241
- imported package lgeneral

